Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 46 - GV causes memory exhaustion
Summary: GV causes memory exhaustion
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gv
Version: 5.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-11-11 22:32 UTC by vladimip
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-11-13 17:45:27 UTC


Attachments (Terms of Use)

Description vladimip 1998-11-11 22:32:28 UTC
System description: RedHat 5.1 with all updates, XF86SVGA
server with Matrox Millenium II PCI card, 128MB SDRAM, 4GB
HDD, AMD K-6 266 CPU, generic Gigabyte TX mboard. X is
running in 1024x768, 32 bpp. Started `gv'. Opened a 10 page
PS doc. Selected a (big) section of the displayed page with
the middle mouse button and clicked on `64' with the right
mouse button on the submenu that appeared. X displays that
little stopwatch cursor and _everything_ freezes for one or
two minutes, the system swaps heavily in the meantime. After
swap and memory is exhausted, gv quits. Here's the error
message:

--------------------------------------------------
XIO:  fatal IO error 12 (Cannot allocate memory) on X server
":0.0" after 8093 requests (8092 known processed) with 150
events remaining.
 /home/vlad/devel/3475>$
[2]+  Exit 1                  gv
--------------------------------------------------

I can probably reproduce this as many times as I want,
although tried only three times.

I suspect that it is an X server bug which is only
triggerred by certain action such as the one in GV.

Comment 1 Bill Nottingham 1998-11-13 12:39:59 UTC
Well, then, don't do that. :)

Seriously, gv is trying to expand whatever you select to 64x
its size and let you scroll around in it. That's *going* to
take a huge amount of memory, especially if you select the
whole page.


Note You need to log in before you can comment on or make changes to this bug.